[PATCH] win64 support for libffi (2/2)

NightStrike nightstrike@gmail.com
Mon May 18 17:59:00 GMT 2009


On Mon, May 18, 2009 at 2:00 PM, Dave Korn
<dave.korn.cygwin@googlemail.com> wrote:
> Andrew Haley wrote:
>> Dave Korn wrote:
>>> Andrew Haley wrote:
>>>
>>>> The libffi ABI has changed?  Are you sure?
>>>   No, I'm not clear, I'm repeating something I was told second-hand:
>>>
>>> http://www.cygwin.com/ml/cygwin-apps/2009-02/msg00051.html
>>>
>>>   Maybe I just meant that the API has changed, not the ABI?
>>
>> Neither have changed AFAIAA.  There are some updates and fixes in gcc
>> that are not yet in upstream libffi.
>
>  Ok, this is what I mean:
>
> admin@ubik /tmp/libffi/upstream
> $ tail -2 /tmp/libffi/upstream/libffi-3.0.8/libtool-version
> # CURRENT:REVISION:AGE
> 5:9:0
>
> admin@ubik /tmp/libffi/upstream
> $ tail -2 /gnu/gcc/gcc/libffi/libtool-version
> # CURRENT:REVISION:AGE
> 4:1:0

Maybe it needs to be merged in both directions.



More information about the Java-patches mailing list